<?php
/***************************************************************************
 *                           admin_ESM.php
 *                            -------------------
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if(	!empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['General']['Easy Scrolling Message'] = $file;
	return;
}

//
// Load default header
//
$phpbb_root_path = "../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);


//
// Langauge File
//
include($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_ESM.' . $phpEx);

//check for userlevel
//
if( !$userdata['session_logged_in'] )
{
	header('Location: ' . append_sid("login.$phpEx?redirect=admin/admin_ESM.$phpEx", true));
}

if( $userdata['user_level'] != ADMIN )
{
	message_die(GENERAL_MESSAGE, ''.$lang['Not_Authorised'].'');
}
//end check

if ($_POST['process'] != 'Submit') {

	if ($board_config['ESMD'] == 'left') {
		$ESML = 'checked';
		$ESMR = '';
        $ESMU = '';
        $ESMO = '';
	}
	if ($board_config['ESMD'] == 'right') {
		$ESML = '';
		$ESMR = 'checked';
        $ESMU = '';
        $ESMO = '';
	}
    if ($board_config['ESMD'] == 'up') {
		$ESML = '';
		$ESMR = '';
        $ESMU = 'checked';
        $ESMO = '';
	}
    if ($board_config['ESMD'] == 'down') {
		$ESML = '';
		$ESMR = '';
        $ESMU = '';
        $ESMO = 'checked';
	}
    if ($board_config['ESMB'] == 'scroll') {
		$ESMBR = 'checked';
		$ESMBI = '';
        $ESMBT = '';
	}
    if ($board_config['ESMB'] == 'slide') {
		$ESMBR = '';
		$ESMBI = 'checked';
        $ESMBT = '';
	}
    if ($board_config['ESMB'] == 'alternate') {
		$ESMBR = '';
		$ESMBI = '';
        $ESMBT = 'checked';
	}

	$overall = '<form method="POST" action="'.append_sid("admin_ESM.$phpEx").'">
	<table width="100%" cellpadding="4" cellspacing="1" border="0">
	  <tr>
		<th width="50%"  class="thHead" colspan="2"><center>Easy Scrolling Message (ESM)</center></th>
	  </tr>
	  <tr>
		<td width="40%" class="row1" valign="top">Message:
		</br>
		</br>
		<font color="green">HTML code allowed</font>
		</br>
		<font color="red">BBCode not allowed</font>
        </td>
		<td width="60%" class="row2"><textarea name="message" Style="background-color:#000000" cols="75" rows="20">'.$board_config['ESMM'].'</textarea></td>
	  </tr>
        <tr>
		<td width="40%" class="row1">Scrollamount:</td>
		<td width="60%" class="row2"><table width="100%" cellpadding="4" cellspacing="1" border="0"><tr>
		<td width="50%"><input type="text" Style="background-color:#000000" name="amount" size="6" value="'.$board_config['ESMG'].'"> pixels</td>
		<td width="50%">Onmouseover: <input type="text" Style="background-color:#000000" name="amounton" size="6" value="'.$board_config['ESMGO'].'"> pixels</td></tr></td></table>
	  <tr>
		<td width="40%" class="row1">Scrolldelay:</td>
		<td width="60%" class="row2"><table width="100%" cellpadding="4" cellspacing="1" border="0"><tr>
		<td width="50%"><input type="text" Style="background-color:#000000" name="delay" size="6" value="'.$board_config['ESMS'].'"> milliseconds</td>
		<td width="50%">Onmouseover: <input type="text" Style="background-color:#000000" name="delayon" size="6" value="'.$board_config['ESMSO'].'"> milliseconds</td>
	  </tr></td></table>

	  </tr>
		<td width="40%" class="row1">Direction:</td>
		<td width="60%" class="row2">
		<table width="100%" cellpadding="4" cellspacing="1" border="0"><tr>
		<td width="25%"><input type="radio" name="di" value="up" '.$ESMU.'> Up</td>
		<td width="25%"><input type="radio" name="di" value="down" '.$ESMO.'> Down</td>
		<td width="25%"><input type="radio" name="di" value="left" '.$ESML.'> Left</td> 
		<td width="25%"><input type="radio" name="di" value="right" '.$ESMR.'> Right</td>
		</tr></td></table>
		<tr>
        <td width="40%" class="row1">Behavior:</td>
		<td width="60%" class="row2">
		<table width="100%" cellpadding="4" cellspacing="1" border="0"><tr>
		<td width="25%"><input type="radio" name="be" value="scroll" '.$ESMBR.'> Scroll</td>
		<td width="25%"><input type="radio" name="be" value="slide" '.$ESMBI.'> Slide</td>
        <td width="25%"><input type="radio" name="be" value="alternate" '.$ESMBT.'> Alternate</td> 
        <td width="25%"></td>
		</tr></td></table>
        <tr>
		<td width="40%" class="row1">Width:</td>
		<td width="60%" class="row2"><input type="text" Style="background-color:#000000" name="width" size="6" value="'.$board_config['ESMW'].'"> pixels (px) or percent (%)</td>
        </tr>
        
        <tr><td width="40%" class="row1">Height:</td>
		<td width="60%" class="row2"><input type="text" Style="background-color:#000000" name="height" size="6" value="'.$board_config['ESMH'].'"> pixels (px) or percent (%)</td>
        </tr>
        
		</table>
		</td> 
	  </tr>
	  <tr>
		<td width="50%"  class="catBottom" colspan="2"><center><input type="submit" value="'.$lang['admin_submit'].'" name="process" size="20" class="button"></form></center></td>
	  </tr>
	</table>
';
}
if ($_POST['process'] == 'Submit') {

	if ($_POST['di'] == 'left') {
		$sql = "update " . CONFIG_TABLE . " set config_value='left' where config_name='ESMD'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error Updating ESM driection<br>'.mysql_error()); }
	}

	if ($_POST["di"] == "right") {
		$sql = "update " . CONFIG_TABLE . " set config_value='right' where config_name='ESMD'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error Updating ESM driection<br>'.mysql_error()); }
	}
	
	if ($_POST["di"] == "up") {
		$sql = "update " . CONFIG_TABLE . " set config_value='up' where config_name='ESMD'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error Updating ESM driection<br>'.mysql_error()); }
	}
	
		if ($_POST["di"] == "scroll") {
		$sql = "update " . CONFIG_TABLE . " set config_value='scroll' where config_name='ESMB'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error Updating ESM behavior<br>'.mysql_error()); }
	}
	
		if ($_POST["di"] == "slide") {
		$sql = "update " . CONFIG_TABLE . " set config_value='slide' where config_name='ESMB'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error Updating ESM behavior<br>'.mysql_error()); }
	}
	
        if ($_POST["di"] == "alternate") {
		$sql = "update " . CONFIG_TABLE . " set config_value='alternate' where config_name='ESMB'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error Updating ESM behavior<br>'.mysql_error()); }
	}
	
	if ($_POST["di"] == "down") {
		$sql = "update " . CONFIG_TABLE . " set config_value='down' where config_name='ESMD'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error Updating ESM driection<br>'.mysql_error()); }
	}
	if ($_POST['message'] != NULL) {
		$sql = "update " . CONFIG_TABLE . " set config_value='{$_POST['message']}' where config_name='ESMM'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error ESM message<br>'.mysql_error()); }
	}	
	if ($_POST['amount'] != NULL) {
		$sql = "update " . CONFIG_TABLE . " set config_value='{$_POST['amount']}' where config_name='ESMG'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error ESM amount<br>'.mysql_error()); }
	}
		if ($_POST['width'] != NULL) {
		$sql = "update " . CONFIG_TABLE . " set config_value='{$_POST['width']}' where config_name='ESMW'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error ESM width<br>'.mysql_error()); }
	}
		if ($_POST['height'] != NULL) {
		$sql = "update " . CONFIG_TABLE . " set config_value='{$_POST['height']}' where config_name='ESMH'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error ESM height<br>'.mysql_error()); }
	}
		if ($_POST['amounton'] != NULL) {
		$sql = "update " . CONFIG_TABLE . " set config_value='{$_POST['amounton']}' where config_name='ESMGO'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error ESM amount onmouseover<br>'.mysql_error()); }
	}
		if ($_POST['delayon'] != NULL) {
		$sql = "update " . CONFIG_TABLE . " set config_value='{$_POST['delayon']}' where config_name='ESMSO'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error ESM delay onmouseover<br>'.mysql_error()); }
	}
	if ($_POST['delay'] != NULL) {
		$sql = "update " . CONFIG_TABLE . " set config_value='{$_POST['delay']}' where config_name='ESMS'";
		if ( !($db->sql_query($sql)) ) { message_die(GENERAL_MESSAGE, 'Fatal Error ESM delay<br>'.mysql_error()); }
	}
	
	$overall = '
	<table width="100%" cellpadding="4" cellspacing="1" border="0">
	  <tr>
		<th width="50%"  class="thHead" colspan="2"><center>'.$lang['admin_title'].'</center></th>
	  </tr>
	  <tr>
		<td class="row1" width="100%">'.$lang['admin_updated'].'. | <b><a href="'.append_sid("admin_ESM.$phpEx").'">'.$lang['admin_return'].'</a></b></td>
	  </tr>
	</table>';

}





$template->assign_vars(array(
	'OVERALL' => "$overall",
	'TTL' => $lang['admin_title'],
	'DESC' => $lang['admin_desc'],
));
$template->set_filenames(array(
	'body' => 'admin/EMS_config.tpl')
);
//
// Generate the page
//
$template->pparse('body');

include('page_footer_admin.php');


?>
